using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace SmartDeviceSNMP
{
    public class MyTreeNode: System.Windows.Forms.TreeNode
    {
        private string name;
        private int number;
        private string description;
        private bool selected = false;

        public MyTreeNode(string _name,int _number,string _description):base(_name)
        {
            name = _name;
            number = _number;
            description = _description;
        }

        public string getName()
        {
            return name;
        }

        public int getNumber()
        {
            return number;
        }

        public void setSelected(bool _selected)
        {
            selected = _selected;
        }

        public bool getSelected()
        {
            return selected;
        }

        public string getDescription()
        {
            return description;
        }

    }
}
